/*
 * JPA entity PK template
 */

package de.ivu.elect.business.ergebnis.entity;

@javax.enterprise.inject.Vetoed
public class StimmenPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<StimmenPK> {

  private static final long serialVersionUID = 0L;

  public StimmenPK() {
    super();
  }

  public StimmenPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "StimmenPK:"+getId();
  }

  @Override
  public int compareTo(StimmenPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
